package cn.newfeifan.mall.module.distri.controller.admin.consumptionerrorlog.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 消费分异动日志记录新增/修改 Request VO")
@Data
public class ConsumptionErrorLogSaveReqVO {

    @Schema(description = "异动日志编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "18676")
    private Long id;

    @Schema(description = "异动用户数量", requiredMode = Schema.RequiredMode.REQUIRED, example = "27243")
    @NotNull(message = "异动用户数量不能为空")
    private Integer errorUsersCount;

    @Schema(description = "异动消费分总额")
    private Long errorConsumptionPointsTotal;

}