package cn.newfeifan.mall.module.distri.dal.dataobject.shopsettlement.data;

import cn.newfeifan.mall.module.api.shop.dto.ShopDTO;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
public class ShopSettlementPDFData {

    /**
     * 结算id
     */
    private Long id;
    /**
     * 店铺id
     */
    private Long shopId;
    /**
     * 商户id
     */
    private Long merchantId;
    /**
     * 销售额（积分 + 支付金额）
     */
    private Integer platformCollectionAmount;
    /**
     * 抵扣积分
     */
    private Long shopAmount;
    /**
     * 共计成本价格(高精度 + 成本)
     */
    private BigDecimal shopTotalHighAmount;
    /**
     * 平台结算ID
     */
    private Long ptSettlementId;
    /**
     * 转账凭证附件
     */
    private String attachment;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    private ShopDTO shop;
}
