package cn.newfeifan.mall.module.promotion.controller.admin.diy.vo.page;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

@Schema(description = "管理后台 - 装修页面创建 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class DiyPageCreateReqVO extends DiyPageBaseVO {
    @Schema(description = "店铺ID",  example = "123")
    private Long shopId;

    @Schema(description = "商户ID", example = "12")
    private Long merchantId;
}
